// WWHelp4.idl : IDL source for WWHelp4.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (WWHelp4.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(3E582ED5-C9B8-4452-BB9F-9E4A1CC66211),
		dual,
		helpstring("IAPI Interface"),
		pointer_default(unique)
	]
	interface IAPI : IDispatch
	{
		[id(1), helpstring("method Startup")] HRESULT Startup(BSTR BaseURL);
		[id(2), helpstring("method Shutdown")] HRESULT Shutdown();
		[id(3), helpstring("method DisplayHelp")] HRESULT DisplayHelp(BSTR Context, BSTR Topic);
		[id(4), helpstring("method DisplayHelpWithNavigation")] HRESULT DisplayHelpWithNavigation(BSTR Context, BSTR Topic);
		[id(5), helpstring("method DisplayHelpWithContents")] HRESULT DisplayHelpWithContents(BSTR Context, BSTR Topic);
		[id(6), helpstring("method DisplayHelpWithIndex")] HRESULT DisplayHelpWithIndex(BSTR Context, BSTR Topic);
		[id(7), helpstring("method DisplayHelpWithSearch")] HRESULT DisplayHelpWithSearch(BSTR Context, BSTR Topic);
		[id(8), helpstring("method DisplayHelpWithFavorites")] HRESULT DisplayHelpWithFavorites(BSTR Context, BSTR Topic);
		[id(9), helpstring("method DisplayHelpNavigation")] HRESULT DisplayHelpNavigation();
		[id(10), helpstring("method DisplayHelpContents")] HRESULT DisplayHelpContents();
		[id(11), helpstring("method DisplayHelpIndex")] HRESULT DisplayHelpIndex();
		[id(12), helpstring("method DisplayHelpSearch")] HRESULT DisplayHelpSearch();
		[id(13), helpstring("method DisplayHelpFavorites")] HRESULT DisplayHelpFavorites();
	};

[
	uuid(917298B2-7834-4C6B-8543-395C560208DD),
	version(1.0),
	helpstring("WWHelp4 1.0 Type Library")
]
library WWHELP4Lib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(ED6A8963-227E-482E-B5C9-D6E67865F8D9),
		helpstring("API Class")
	]
	coclass API
	{
		[default] interface IAPI;
	};
};
